﻿Public Class Formtec55


    Private Sub Formtec55_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        CloseTec55() 'Fecha DLL
    End Sub

    Private Sub Formtec55_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        OpenTec55()    'Abre DLL

    End Sub

    Private Sub SairToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SairToolStripMenuItem.Click
        CloseTec55() 'Fecha DLL
        Me.Close()

    End Sub

    Private Sub ResetarTEC55ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ResetarTEC55ToolStripMenuItem.Click
        Reset() 'Reseta Teclado
    End Sub

    Private Sub btlimpadisplay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btlimpadisplay.Click
        FormFeed() 'Limpa Display
    End Sub



    Private Sub btpulalinha_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btpulalinha.Click
        LineFeed() 'Pula para Próxima Linha

    End Sub

    Private Sub btbackspace_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btbackspace.Click
        BackSpace() 'Apaga um Caracter a Esquerda
    End Sub



    Private Sub btposicaoinicial_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btposicaoinicial.Click
        CarRet() 'Retorna o Cursor na Posição Inicial

    End Sub

    Private Sub btenviatexto_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btenviatexto.Click
        DispStr(tbenviartexto.Text) 'Envia String ao Display


    End Sub

    Private Sub btposicaoxy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btposicaoxy.Click
        GoToXY(Int(tbposx.Text), Int(tbposy.Text)) 'Vai para a posição X (linha), Y (coluna) do display




    End Sub

    Private Sub cbecodisplay_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbecodisplay.CheckedChanged
        If cbecodisplay.Checked = True Then
            SetEcho(1, 0) 'Ativa Eco Display (com Senha)
        Else
            SetEcho(0, 0) 'Ativa Eco Display (sem Senha)
        End If



    End Sub

    Private Sub cbtamanhofonte_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbtamanhofonte.CheckedChanged
        If cbtamanhofonte.Checked = True Then
            SetFontExtendida(1) 'Duplica Tamanho da Fonte
        Else
            SetFontExtendida(0) 'Fonte Tamanho Normal
        End If
    End Sub

    Private Sub trackbcontraste_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles trackbcontraste.Scroll

        Contraste(trackbcontraste.Value) 'Modifica o Contraste do Display

    End Sub

    Private Sub cbcursor_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbcursor.CheckedChanged
        If cbcursor.Checked = True Then
            SetCursorON(1) 'Ativar Cursor
        Else
            SetCursorON(0) 'Desativar Cursor
        End If
    End Sub

    Private Sub cbsenha_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbsenha.CheckedChanged
        If cbsenha.Checked = True Then
            SetEcho(1, 1) 'Ativa Eco Display (com Senha)
        Else
            SetEcho(0, 0) 'Ativa Eco Display (sem Senha)
        End If

    End Sub

    Private Sub btdesenhardisplay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btdesenhardisplay.Click
        Dim bytes(50) As Byte

        bytes(0) = &HFF
        bytes(1) = &HC0
        bytes(2) = &HA0
        bytes(3) = &H90
        bytes(4) = &H88
        bytes(5) = &H84
        bytes(6) = &H82
        bytes(7) = &H81
        bytes(8) = &H81
        bytes(9) = &H82

        bytes(10) = &H84
        bytes(11) = &H84
        bytes(12) = &H84
        bytes(13) = &H84
        bytes(14) = &H84
        bytes(15) = &H82
        bytes(16) = &H81
        bytes(17) = &H81
        bytes(18) = &H82
        bytes(19) = &H84

        bytes(20) = &H88
        bytes(21) = &H90
        bytes(22) = &HA0
        bytes(23) = &HC0
        bytes(24) = &HFF
        bytes(25) = &HFF
        bytes(26) = &H3
        bytes(27) = &H5
        bytes(28) = &H9
        bytes(29) = &H11

        bytes(30) = &H21
        bytes(31) = &H41
        bytes(32) = &H81
        bytes(33) = &H1
        bytes(34) = &H1
        bytes(35) = &H1
        bytes(36) = &H1
        bytes(37) = &H1
        bytes(38) = &H1
        bytes(39) = &H1

        bytes(40) = &H1
        bytes(41) = &H1
        bytes(42) = &H81
        bytes(43) = &H41
        bytes(44) = &H21
        bytes(45) = &H11
        bytes(46) = &H9
        bytes(47) = &H5
        bytes(48) = &H3
        bytes(49) = &HFF

        'Envia um vetor com valores hexadecimais, onde cada valor hexadecimal corresponde a 8 bits
        '( pixels ), indicando se o pixel será preenchido ou não. Exemplo A0 = 10100000, indicando
        'assim que os pixels 1 e 3 serão preenchidos e os pixels 2, 4, 5, 6, 7, 8 não serão
        'preenchidos. Os pixels são preenchidos de baixo para cima, do esquerda para a direita.

        'Envia a imagem grafica para o display, seguindo a ordem: tamanho do vetor, vetor contento
        'a imagem, tamanho da coluna em pixels, tamanho da linha em pixels.
        DispGraph(50, bytes(0), 25, 16)
    End Sub

    Private Sub cbbeepcont_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbbeepcont.CheckedChanged
        If cbbeepcont.Checked = True Then
            BeepOn(1) 'Ativa Beep Continuo
        Else
            BeepOn(0) 'Desativa Beep Continuo

        End If
    End Sub

    Private Sub cbbeeptec_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbbeeptec.CheckedChanged
        If cbbeeptec.Checked = True Then
            BeepKeyOn(1)  'Ativa Beep Teclas
        Else
            BeepKeyOn(0)  'Desativa Beep Teclas

        End If
    End Sub

    Private Sub cbrepeticao_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbrepeticao.CheckedChanged
        If cbrepeticao.Checked = True Then
            SetAutoRepeat(1) 'Ativar Auto Repetição das Teclas
        Else
            SetAutoRepeat(0) 'Desativar Auto Repetição das Teclas
        End If
    End Sub

    Private Sub btNumlock_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btNumlock.Click
        If btNumlock.Text = "Habilita" Then
            SetNumL(1) 'Inverte o Estado do NumLock
            btNumlock.Text = "Desabilita"
        Else
            SetNumL(0) 'Inverte o Estado do NumLock
            btNumlock.Text = "Habilita"


        End If
    End Sub

    Private Sub btCapslock_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btCapslock.Click
        If btCapslock.Text = "Habilita" Then
            SetCapsL(1) 'Ativa CapsLock
            btCapslock.Text = "Desabilita"
        Else
            SetCapsL(0) 'Desativa CapsLock
            btCapslock.Text = "Habilita"
        End If

    End Sub

    Private Sub cbleitorcartao_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cbleitorcartao.CheckedChanged
        If cbleitorcartao.Checked = True Then

            SetCard(1)  'Ativar Leitor de Cartão Magnético
            tbcartao.Focus()

        Else
            SetCard(0)  'Desativar Leitor de Cartão Magnético
        End If
    End Sub

    Private Sub tbcartao_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tbcartao.TextChanged

        'GetMCRBuf(tbcartao.Text)

    End Sub

    Private Sub TabPage3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TabPage3.Click

    End Sub

    Private Sub btenviarletra_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btenviarletra.Click
        Dim numero1 As Char
        numero1 = tbenviarletra.Text
        DispCh(numero1)
    End Sub
End Class
