﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace TEC55CSharp
{
    class DllConnection
    {
        /***********************************************************************
      /* Declaração da DLL tec55 para TEC55                  * 
      /***********************************************************************/
        //FUNÇÕES DE INICIALIZAÇÃO

        [DllImport("tec55.dll", EntryPoint = "OpenTec55")]
        public static extern void OpenTec55();

        [DllImport("tec55.dll", EntryPoint = "Reset")]
        public static extern void Reset();

        [DllImport("tec55.dll", EntryPoint = "CloseTec55")]
        public static extern void CloseTec55();

        [DllImport("tec55.dll", EntryPoint = "DispStr")]
        public static extern void DispStr(char[] c);

        [DllImport("tec55.dll", EntryPoint = "BackSpace")]
        public static extern void BackSpace();

        [DllImport("tec55.dll", EntryPoint = "FormFeed")]
        public static extern void FormFeed();

        [DllImport("tec55.dll", EntryPoint = "LineFeed")]
        public static extern void LineFeed();

        [DllImport("tec55.dll", EntryPoint = "CarRet")]
        public static extern void CarRet();

        [DllImport("tec55.dll", EntryPoint = "GoToXY")]
        public static extern void GoToXY(Int32 x,Int32 y);

        [DllImport("tec55.dll", EntryPoint = "Contraste")]
        public static extern void Contraste(Int32 x);

        [DllImport("tec55.dll", EntryPoint = "DispGraph")]
        public static extern void DispGraph(int x,char[] c,int y, int z);

        [DllImport("tec55.dll", EntryPoint = "SetEcho")]
        public static extern void SetEcho(int x, int y);

        [DllImport("tec55.dll", EntryPoint = "SetCursorON")]
        public static extern void SetCursorON(int x);

        [DllImport("tec55.dll", EntryPoint = "SetFontExtendida")]
        public static extern void SetFontExtendida(int x);

        [DllImport("tec55.dll", EntryPoint = "SetNumL")]
        public static extern void SetNumL(int x);

        [DllImport("tec55.dll", EntryPoint = "SetCapsL")]
        public static extern void SetCapsL(int x);

        [DllImport("tec55.dll", EntryPoint = "BeepOn")]
        public static extern void BeepOn(int x);

        [DllImport("tec55.dll", EntryPoint = "BeepKeyOn")]
        public static extern void BeepKeyOn(int x);

        [DllImport("tec55.dll", EntryPoint = "SetAutoRepeat")]
        public static extern void SetAutoRepeat(int x);

        [DllImport("tec55.dll", EntryPoint = "SetCard")]
        public static extern void SetCard(int x);

    }
}
