unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, ComCtrls, ExtCtrls, Buttons, JPeg;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Menu1: TMenuItem;
    Abrir1: TMenuItem;
    N1: TMenuItem;
    Sair1: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    chkBeepContinuo: TCheckBox;
    chkBeepTeclas: TCheckBox;
    chkEco: TCheckBox;
    chkEcoSenha: TCheckBox;
    edtDispCh: TEdit;
    edtDispStr: TEdit;
    edtGoToX: TEdit;
    edtGoToY: TEdit;
    TabSheet3: TTabSheet;
    chkSetCard: TCheckBox;
    chkSetAutoRepeat: TCheckBox;
    edtSetAutoRepeticao: TEdit;
    btnDispGraph: TButton;
    chkCursorOn: TCheckBox;
    chkFontExtendida: TCheckBox;
    Label1: TLabel;
    btnDispCh: TButton;
    btnDispStr: TButton;
    btnGoToXY: TButton;
    btnCarRet: TButton;
    btnFormFeed: TButton;
    btnBackSpace: TButton;
    btnLineFeed: TButton;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    TrackBar1: TTrackBar;
    memoGetMCRBuf: TMemo;
    btnNumLock: TButton;
    btnCapsLock: TButton;
    Label2: TLabel;
    Bevel7: TBevel;
    GroupBox1: TGroupBox;
    Image1: TImage;
    Label3: TLabel;
    btnCarregar: TButton;
    btnEnviar: TButton;
    OpenDialog1: TOpenDialog;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Abrir1Click(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
    procedure chkBeepContinuoClick(Sender: TObject);
    procedure chkBeepTeclasClick(Sender: TObject);
    procedure chkEcoClick(Sender: TObject);
    procedure chkEcoSenhaClick(Sender: TObject);
    procedure chkSetCardClick(Sender: TObject);
    procedure chkSetAutoRepeatClick(Sender: TObject);
    procedure btnDispGraphClick(Sender: TObject);
    procedure chkCursorOnClick(Sender: TObject);
    procedure chkFontExtendidaClick(Sender: TObject);
    procedure btnBackSpaceClick(Sender: TObject);
    procedure btnCarRetClick(Sender: TObject);
    procedure btnFormFeedClick(Sender: TObject);
    procedure btnLineFeedClick(Sender: TObject);
    procedure btnDispStrClick(Sender: TObject);
    procedure btnDispChClick(Sender: TObject);
    procedure btnGoToXYClick(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TabSheet3Show(Sender: TObject);
    procedure btnNumLockClick(Sender: TObject);
    procedure btnCapsLockClick(Sender: TObject);
    procedure btnEnviarClick(Sender: TObject);
    procedure btnCarregarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  Form1: TForm1;

  EstadoEco: Integer;
  EstadoEcoSenha: Integer;

  EstadoNumLock: Integer;
  EstadoCapsLock: Integer;

implementation
    // DECLARAO DAS FUNES DA DLL

    // INICIALIZAO E FINALIZAO
    Function OpenTec55: Integer; far; stdcall; external 'tec55.dll';
    Procedure CloseTec55; far; stdcall; external 'tec55.dll';
    Procedure Reset; far; stdcall; external 'tec55.dll';

    // TECLADO
    Procedure SetNumL(Const OnOff: Integer); far; stdcall; external 'tec55.dll';
    Procedure SetCapsL(Const OnOff: Integer); far; stdcall; external 'tec55.dll';
    Procedure BeepOn(Const OnOff: Integer); far; stdcall; external 'tec55.dll';
    Procedure BeepKeyOn(Const OnOff: Integer); far; stdcall; external 'tec55.dll';
    Procedure SetAutoRepeat(Const OnOff: Integer); far; stdcall; external 'tec55.dll';

    // DISPLAY
    Procedure SetEcho(Const OnOff: Integer; Const OnOffSenha: Integer); far; stdcall; external 'tec55.dll';
    Procedure DispCh(ch: BYTE); far; stdcall; external 'tec55.dll';
    Procedure DispStr(var str: BYTE); far; stdcall; external 'tec55.dll';
    Procedure GoToXY(Const lin: Integer; Const col: Integer); far; stdcall; external 'tec55.dll';
    Procedure FormFeed; far; stdcall; external 'tec55.dll';
    Procedure BackSpace; far; stdcall; external 'tec55.dll';
    Procedure LineFeed; far; stdcall; external 'tec55.dll';
    Procedure CarRet; far; stdcall; external 'tec55.dll';
    Procedure DispGraph(Const qtdBytes: Integer; var bytes: BYTE; Const TamX: Integer; Const TamY: Integer); far; stdcall; external 'tec55.dll';
    Procedure Contraste(Const valor: Integer); far; stdcall; external 'tec55.dll';
    Procedure SetCursorON(Const OnOff: Integer); far; stdcall; external 'tec55.dll';
    Procedure SetFontExtendida(Const OnOff: Integer); far; stdcall; external 'tec55.dll';

    // CARTO
    Procedure SetCard(Const OnOff: Integer); far; stdcall; external 'tec55.dll'

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
    OpenTec55;                                        // Abre DLL
    Reset;                                            // Reseta Teclado

    EstadoNumLock := 0;
    EstadoCapsLock := 0;
    
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    CloseTec55;                                       // Fecha DLL
end;

procedure TForm1.Abrir1Click(Sender: TObject);
begin
    Reset;                                            // Reseta Teclado
end;

procedure TForm1.Sair1Click(Sender: TObject);
begin
    CloseTec55;                                       // Fecha DLL
    Close();                                          // Fecha Janela
end;

procedure TForm1.chkBeepContinuoClick(Sender: TObject);
begin
    if( chkBeepContinuo.Checked = True ) then
    begin
        BeepOn( 1 );                                  // Ativa Beep Continuo
    end
    else
    begin
        BeepOn( 0 );                                  // Desativa Beep Continuo
    end;
end;

procedure TForm1.chkBeepTeclasClick(Sender: TObject);
begin
    if( chkBeepTeclas.Checked = True ) then
    begin
        BeepKeyOn( 1 );                               // Ativa Beep Teclas
    end
    else
    begin
        BeepKeyOn( 0 );                               // Desativa Beep Teclas
    end;
end;

procedure TForm1.chkEcoClick(Sender: TObject);
begin
    EstadoEco := Integer( chkEco.Checked );
    EstadoEcoSenha := Integer( chkEcoSenha.Checked );
    SetEcho( EstadoEco,EstadoEcoSenha );              // Ativa / Desativa Eco Display (com ou sem Senha)
end;

procedure TForm1.chkEcoSenhaClick(Sender: TObject);
begin
    EstadoEco := Integer( chkEco.Checked );
    EstadoEcoSenha := Integer( chkEcoSenha.Checked );
    SetEcho( EstadoEco,EstadoEcoSenha );              // Ativa / Desativa Eco Display (com ou sem Senha)
end;

procedure TForm1.chkSetCardClick(Sender: TObject);
begin
    if( chkSetCard.Checked = True ) then
    begin
        SetCard( 1 );                                 // Ativar Leitor de Carto Magntico
    end
    else
    begin
        SetCard( 0 );                                 // Desativar Leitor de Carto Magntico
    end;
end;

procedure TForm1.chkSetAutoRepeatClick(Sender: TObject);
begin
    if( chkSetAutoRepeat.Checked = True ) then
    begin
        SetAutoRepeat( 1 );                           // Ativar Auto Repetio das Teclas
    end
    else
    begin
        SetAutoRepeat( 0 );                           // Desativar Auto Repetio das Teclas
    end;
end;

procedure TForm1.btnDispGraphClick(Sender: TObject);
var
    bytes: array [0..49] of Byte;
begin
    bytes[ 0 ] := StrToInt('$' + 'FF');
    bytes[ 1 ] := StrToInt('$' + 'C0');
    bytes[ 2 ] := StrToInt('$' + 'A0');
    bytes[ 3 ] := StrToInt('$' + '90');
    bytes[ 4 ] := StrToInt('$' + '88');
    bytes[ 5 ] := StrToInt('$' + '84');
    bytes[ 6 ] := StrToInt('$' + '82');
    bytes[ 7 ] := StrToInt('$' + '81');
    bytes[ 8 ] := StrToInt('$' + '81');
    bytes[ 9 ] := StrToInt('$' + '82');

    bytes[ 10 ] := StrToInt('$' + '84');
    bytes[ 11 ] := StrToInt('$' + '84');
    bytes[ 12 ] := StrToInt('$' + '84');
    bytes[ 13 ] := StrToInt('$' + '84');
    bytes[ 14 ] := StrToInt('$' + '84');
    bytes[ 15 ] := StrToInt('$' + '82');
    bytes[ 16 ] := StrToInt('$' + '81');
    bytes[ 17 ] := StrToInt('$' + '81');
    bytes[ 18 ] := StrToInt('$' + '82');
    bytes[ 19 ] := StrToInt('$' + '84');

    bytes[ 20 ] := StrToInt('$' + '88');
    bytes[ 21 ] := StrToInt('$' + '90');
    bytes[ 22 ] := StrToInt('$' + 'A0');
    bytes[ 23 ] := StrToInt('$' + 'C0');
    bytes[ 24 ] := StrToInt('$' + 'FF');
    bytes[ 25 ] := StrToInt('$' + 'FF');
    bytes[ 26 ] := StrToInt('$' + '03');
    bytes[ 27 ] := StrToInt('$' + '05');
    bytes[ 28 ] := StrToInt('$' + '09');
    bytes[ 29 ] := StrToInt('$' + '11');

    bytes[ 30 ] := StrToInt('$' + '21');
    bytes[ 31 ] := StrToInt('$' + '41');
    bytes[ 32 ] := StrToInt('$' + '81');
    bytes[ 33 ] := StrToInt('$' + '01');
    bytes[ 34 ] := StrToInt('$' + '01');
    bytes[ 35 ] := StrToInt('$' + '01');
    bytes[ 36 ] := StrToInt('$' + '01');
    bytes[ 37 ] := StrToInt('$' + '01');
    bytes[ 38 ] := StrToInt('$' + '01');
    bytes[ 39 ] := StrToInt('$' + '01');

    bytes[ 40 ] := StrToInt('$' + '01');
    bytes[ 41 ] := StrToInt('$' + '01');
    bytes[ 42 ] := StrToInt('$' + '81');
    bytes[ 43 ] := StrToInt('$' + '41');
    bytes[ 44 ] := StrToInt('$' + '21');
    bytes[ 45 ] := StrToInt('$' + '11');
    bytes[ 46 ] := StrToInt('$' + '09');
    bytes[ 47 ] := StrToInt('$' + '05');
    bytes[ 48 ] := StrToInt('$' + '03');
    bytes[ 49 ] := StrToInt('$' + 'FF');

    // Envia um vetor com valores hexadecimais, onde cada valor hexadecimal corresponde a 8 bits
    // ( pixels ), indicando se o pixel ser preenchido ou no. Exemplo A0 = 10100000, indicando
    // assim que os pixels 1 e 3 sero preenchidos e os pixels 2, 4, 5, 6, 7, 8 no sero
    // preenchidos. Os pixels so preenchidos de baixo para cima, do esquerda para a direita.

    // Envia a imagem grafica para o display, seguindo a ordem: tamanho do vetor, vetor contento
    // a imagem, tamanho da coluna em pixels, tamanho da linha em pixels.
    DispGraph( 50, bytes[ 0 ], 25, 16 );
end;

procedure TForm1.chkCursorOnClick(Sender: TObject);
begin
    if( chkCursorOn.Checked = True ) then
    begin
        SetCursorON( 1 );                             // Ativar Cursor
    end
    else
    begin
        SetCursorON( 0 );                             // Desativar Cursor
    end;
end;

procedure TForm1.chkFontExtendidaClick(Sender: TObject);
begin
    if( chkFontExtendida.Checked = True ) then
    begin
        SetFontExtendida( 1 );                        // Duplica Tamanho da Fonte
    end
    else
    begin
        SetFontExtendida( 0 );                        // Fonte Tamanho Normal
    end;
end;

procedure TForm1.btnBackSpaceClick(Sender: TObject);
begin
    BackSpace;                                        // Apaga um Caracter a Esquerda
end;

procedure TForm1.btnCarRetClick(Sender: TObject);
begin
    CarRet;                                           // Retorna o Cursor na Posio Inicial
end;

procedure TForm1.btnFormFeedClick(Sender: TObject);
begin
    FormFeed;                                         // Limpa Display
end;

procedure TForm1.btnLineFeedClick(Sender: TObject);
begin
    LineFeed;                                         // Pula para Prxima Linha
end;

procedure TForm1.btnDispStrClick(Sender: TObject);
var
    buf: array [0..255] of BYTE;
begin
    StrPCopy( @buf, edtDispStr.Text );
    DispStr( buf[0] );                                // Envia String ao Display
end;

procedure TForm1.btnDispChClick(Sender: TObject);
var
    buf: array [0..1] of BYTE;
begin
    StrPCopy( @buf, edtDispCh.Text );
    DispCh( buf[0] );
end;

procedure TForm1.btnGoToXYClick(Sender: TObject);
begin
    // Vai para a posio X (linha), Y (coluna) do display
    GoToXY( StrToInt( edtGoToX.Text ), StrToInt( edtGoToY.Text ) );
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    Contraste( TrackBar1.Position );                  // Modifica o Contraste do Display
end;

procedure TForm1.TabSheet3Show(Sender: TObject);
begin
    memoGetMCRBuf.SetFocus;
end;

procedure TForm1.btnNumLockClick(Sender: TObject);
begin
    EstadoNumLock := Not( EstadoNumLock );
    SetNumL( EstadoNumLock );                         // Ativa / Desativa NumLock
end;

procedure TForm1.btnCapsLockClick(Sender: TObject);
begin
    EstadoCapsLock := Not( EstadoCapsLock );
    SetCapsL( EstadoCapsLock );                       // Ativa / Desativa CapsLock
end;

procedure TForm1.btnEnviarClick(Sender: TObject);
var
    linha, coluna: Integer;
    i: Integer;

    posicaoBytes: Integer;
    bytes: array [0..807] of Byte;
    bits: array [0..7] of Integer;
begin
    if ( ( Image1.Picture.Bitmap.Width <= 202 ) And ( Image1.Picture.Bitmap.Height <= 32 ) ) then
    begin
        posicaoBytes := 0;                            // A posicaoBytes vai at 808 => 202 ( coluna pixels ) * 4 ( linhas )
        for linha := 4 DownTo 1 do
        begin
            for coluna := 0 to 201 do
            begin
                for i := 0 to 7 do
                begin
                    // Preenche 8 bits ( pixels ) formando 1 byte. Percorre os 8 pixels da linha ( de baixo para cima ) e
                    // percorre todas as colunas. Quando terminar a 4 linhas faz o mesmo procedimento para as linhas 3, 2, 1.
                    // Os pixels so preenchidos de baixo para cima, do esquerda para a direita.
                    if ( ( Image1.Canvas.Pixels [ coluna, ( ( linha * 8 ) - ( i - 1 ) ) ] ) = 0 ) then
                    begin
                        bits[ i ] := 1
                    end
                    else
                    begin
                        bits[ i ] := 0;
                    end;
                end;
                // O nmero 128 = 10000000 ( Binrio ), 64 = 01000000 ( Binrio ). A conta a seguir ( bits[ X ] * X ) pode ter dois resultados, exemplo: se o bits[ 0 ] receber 0, a conta ( bits[ 0 ] * 128 ( 10000000 ) = 0 ),
                // caso o bits[ 0 ] receber 1, a conta ( bits[ 0 ] * 128 ( 10000000 ) = 10000000 ). A seguir faz se a soma de numeros binrios para formar um byte, ou seja, 8 bits ( pixels ).
                bytes[ posicaoBytes ] := ( ( bits[ 0 ] * 128 ) + ( bits[ 1 ] * 64 ) + ( bits[ 2 ] * 32 ) + ( bits[ 3 ] * 16 ) + ( bits[ 4 ] * 8 ) + ( bits[ 5 ] * 4 ) + ( bits[ 6 ] * 2 ) + ( bits[ 7 ] * 1 ) );
                posicaoBytes := posicaoBytes + 1;
            end;
        end;
        // Envia a imagem grafica para o display, seguindo a ordem: tamanho do vetor, vetor contento
        // a imagem, tamanho da coluna em pixels, tamanho da linha em pixels.
        DispGraph( 808, bytes[ 0 ], 202, 32 );
    end
    else
    begin
        Application.MessageBox('A imagem deve ser menor que 202 X 32.','ERRO',16);
    end;
end;

procedure TForm1.btnCarregarClick(Sender: TObject);
begin
    if ( OpenDialog1.Execute = True ) then
    begin
        Image1.Picture.LoadFromFile( OpenDialog1.FileName );
        Image1.Picture.Bitmap.Monochrome := True;     // Carrega a Imagem de Forma Monocromtica
    end;
end;

end.
