﻿Module dlltec55
    '********************************
    '*      Declaração das DLL      *
    '********************************

    Declare Function OpenTec55 Lib "tec55.dll" () As Integer 'Ela tem o objetivo abrir a porta de comunicação.

    Declare Sub CloseTec55 Lib "tec55.dll" () 'Fecha a Dll.

    Declare Sub Reset Lib "tec55.dll" () 'Reinicia o teclado.

    Declare Sub SetNumL Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita a opção NumLock.

    Declare Sub SetCapsL Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita a opção CapsLock.

    Declare Sub BeepOn Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita o beep continuo.   

    Declare Sub BeepKeyOn Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita o beep de teclas.

    Declare Sub SetAutoRepeat Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita auto repetição de teclas.

    Declare Sub SetCard Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita o cartão magnético.

    Declare Sub GetMCRBuf Lib "tec55.dll" (ByRef ReadBuf As Byte) 'Recebe os dados lidos do cartão.

    Declare Sub FormFeed Lib "tec55.dll" () 'Limpa o display.

    Declare Sub LineFeed Lib "tec55.dll" () 'Pula uma linha no display.

    Declare Sub CarRet Lib "tec55.dll" () 'Posiciona o cursor no início da linha.

    Declare Sub BackSpace Lib "tec55.dll" () 'Retorna o cursor uma posição.

    Declare Sub DispCh Lib "tec55.dll" (ByVal ch As Char) 'Imprime no display o caractere ch.

    Declare Sub DispStr Lib "tec55.dll" (ByVal str As String) 'Imprime uma seqüência de caracteres no display.

    Declare Sub DispGraph Lib "tec55.dll" (ByVal qtdBytes As Integer, ByRef bytes As Byte, ByVal TamX As Integer, ByVal TamY As Integer) 'Desenha uma imagem no display do teclado.

    Declare Sub GoToXY Lib "tec55.dll" (ByVal lin As Integer, ByVal ByValcol As Integer) 'Posiciona o cursor na linha e coluna desejada.

    Declare Sub Contraste Lib "tec55.dll" (ByVal valor As Integer) 'Altera o contraste do display.

    Declare Sub SetCursorON Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita o cursor no display.

    Declare Sub SetFontExtendida Lib "tec55.dll" (ByVal OnOff As Integer) 'Habilita/Desabilita a fonte extendida.
    'Neste modo, o tamanho da fonte é duplicado.

    Declare Sub SetEcho Lib "tec55.dll" (ByVal OnOff As Integer, ByVal OnOffSenha As Integer) 'Habilita/Desabilita o echo no display.
    'Neste modo todas as teclas digitadas são replicadas para o display do teclado.

    Public Declare Sub Sleep Lib "kernel32" (ByVal DwMilliseconds As Long)


End Module
